Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 6901)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 6904)
@@ -942,7 +942,6 @@
       !!                Rational approximation to TEOS10 algorithm (rms error on WOA13 values: 4.0e-5 degC)
       !!----------------------------------------------------------------------
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) ::   ctmp   ! Cons. Temp
-[Celsius]
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) ::   psal   ! salinity   [psu]
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) ::   ctmp   ! Cons. Temp   [Celsius]
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) ::   psal   ! salinity     [psu]
       ! Leave result array automatic rather than making explicitly allocated
       REAL(wp), DIMENSION(jpi,jpj) ::   ptmp   ! potential temperature [Celsius]
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_nam.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_nam.F90	(revision 6901)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_nam.F90	(revision 6904)
@@ -65,7 +65,5 @@
 902   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namusr_def in configuration namelist', .TRUE. )
       !
-!!gm  This does not work...  I don't know how to write namusr_def in "output.namelist.dyn"
-      WRITE( ldnam(ii), namusr_def )
-!!gm
+      WRITE( ldnam(:), namusr_def )
       !
       kpi = 30 * nn_GYRE + 2        ! Global Domain size
@@ -82,6 +80,6 @@
       WRITE(ldtxt(ii),*) '         jpiglo = 30*nn_GYRE+2                            jpiglo = ', kpi       ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '         jpjglo = 20*nn_GYRE+2                            jpjglo = ', kpj       ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      number of model levels                           jpkglo    = ', kpk       ;   ii = ii + 1
-
+      WRITE(ldtxt(ii),*) '      number of model levels                              jpkglo = ', kpk       ;   ii = ii + 1
+      !
       !                             ! Set the lateral boundary condition of the global domain
       kperio = 0                    ! GYRE configuration : closed domain
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90	(revision 6901)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90	(revision 6904)
@@ -82,5 +82,5 @@
       CALL zgr_z  ( pdept_1d, pdepw_1d, pe3t_1d , pe3w_1d )  ! Reference z-coordinate system
       !
-      CALL zgr_top_bot( k_top , k_bot )                      ! top and bottom ocean level indices
+      CALL zgr_msk_top_bot( k_top , k_bot )                  ! masked top and bottom ocean t-level indices
       !
       !                                                      ! z-coordinate (3D arrays) from the 1D z-coord.
@@ -98,14 +98,14 @@
       !!
       !! ** Purpose :   set the depth of model levels and the resulting 
-      !!      vertical scale factors.
+      !!              vertical scale factors.
       !!
       !! ** Method  :   z-coordinate system (use in all type of coordinate)
-      !!      The depth of model levels is defined from an analytical
-      !!      function the derivative of which gives the scale factors.
-      !!      both depth and scale factors only depend on k (1d arrays).
-      !!              w-level: pdepw_1d  = pdep(k)
-      !!                       pe3w_1d(k) = dk(pdep)(k)     = e3(k)
-      !!              t-level: pdept_1d  = pdep(k+0.5)
-      !!                       pe3t_1d(k) = dk(pdep)(k+0.5) = e3(k+0.5)
+      !!              The depth of model levels is defined from an analytical
+      !!              function the derivative of which gives the scale factors.
+      !!              both depth and scale factors only depend on k (1d arrays).
+      !!                 w-level: pdepw_1d  = pdep(k)
+      !!                          pe3w_1d(k) = dk(pdep)(k)     = e3(k)
+      !!                 t-level: pdept_1d  = pdep(k+0.5)
+      !!                          pe3t_1d(k) = dk(pdep)(k+0.5) = e3(k+0.5)
       !!
       !!      Here the Madec & Imbard (1996) function is used
@@ -193,9 +193,9 @@
 
 
-   SUBROUTINE zgr_top_bot( k_top , k_bot )
-      !!----------------------------------------------------------------------
-      !!                    ***  ROUTINE zgr_top_bot  ***
-      !!
-      !! ** Purpose :   set the top and bottom ocean levels
+   SUBROUTINE zgr_msk_top_bot( k_top , k_bot )
+      !!----------------------------------------------------------------------
+      !!                    ***  ROUTINE zgr_msk_top_bot  ***
+      !!
+      !! ** Purpose :   set the masked top and bottom ocean t-levels
       !!
       !! ** Method  :   GYRE case = closed flat box ocean without ocean cavities
@@ -208,6 +208,4 @@
       INTEGER , DIMENSION(:,:), INTENT(out) ::   k_top , k_bot   ! first & last ocean level
       !
-      INTEGER  ::   ji, jj               ! dummy loop indices
-      INTEGER  ::   ii0, ii1, ij0, ij1   ! local indices
       REAL(wp), DIMENSION(jpi,jpj) ::   z2d   ! 2D local workspace
       !!----------------------------------------------------------------------
@@ -220,11 +218,11 @@
       z2d(:,:) = REAL( jpkm1 , wp )          ! flat bottom
       !
-      CALL lbc_lnk( z2d, 'T', 1. )           ! applied the lateral boundary condition (here jperio=0 ==>> closed)
+      CALL lbc_lnk( z2d, 'T', 1. )           ! set surrounding land to zero (here jperio=0 ==>> closed)
       !
       k_bot(:,:) = INT( z2d(:,:) )           ! =jpkm1 over the ocean point, =0 elsewhere
       !
-      k_top(:,:) = MIN( 1 , k_bot(:,:) )     ! =1     over the ocean point, =0 elsewhere
-      !
-   END SUBROUTINE zgr_top_bot
+      k_top(:,:) = MIN( 1 , k_bot(:,:) )     ! = 1    over the ocean point, =0 elsewhere
+      !
+   END SUBROUTINE zgr_msk_top_bot
    
 
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6901)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6904)
@@ -239,5 +239,5 @@
       INTEGER  ::   ios, inum     !   -      -
       REAL(wp) ::   ziglo, zjglo, zkglo, zperio   ! local scalars
-      CHARACTER(len=120), DIMENSION(16) ::   cltxt, cltxt2, clnam, clbug
+      CHARACTER(len=120), DIMENSION(30) ::   cltxt, cltxt2, clnam, clbug
       !
       NAMELIST/namctl/ ln_ctl  , nn_print, nn_ictls, nn_ictle,   &
